  /**********************************************************************
  *                         KoordTransConsole                            *
  ************************************************************************
  * Copyright (C) 2007 by Michael Loesler, http//derletztekick.com       *
  *                                                                      *
  * This program is free software; you can redistribute it and/or modify *
  * it under the terms of the GNU General Public License as published by *
  * the Free Software Foundation; either version 3 of the License, or    *
  * (at your option) any later version.                                  *
  *                                                                      *
  * This program is distributed in the hope that it will be useful,      *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
  * GNU General Public License for more details.                         *
  *                                                                      *
  * You should have received a copy of the GNU General Public License    *
  * along with this program; if not, see <http://www.gnu.org/licenses/>  *
  * or write to the                                                      *
  * Free Software Foundation, Inc.,                                      *
  * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            *
  *                                                                      *
   **********************************************************************/
   
import java.util.*;
import java.io.*;
public class KoordTransConsole extends MatrixOperation {

  public static void main(String[] args) {
    Vector<Point23> pointsS, pointsZ;
    CSVFileReader csvfr = new CSVFileReader( new File("example1_source_3d.csv") );

    pointsS = csvfr.getPointsFromFile(";",1,2,3,4);

    csvfr = new CSVFileReader(new File("example1_target_3d.csv"));

    pointsZ = csvfr.getPointsFromFile(";",1,2,3,4);


//
//    BilinearTransformation2D fpt2d1 =  new BilinearTransformation2D(pointsS, pointsZ,true);
//    System.out.println(fpt2d1.toString()+"\n-----------\n");
//
    Date dt1 = new Date();

    
    Transformation ttt = new BilinearTransformation2D(pointsS, pointsZ, true, "GHM");
    System.out.println(ttt.toString());

  }
}

