  /**********************************************************************
  *                         PasspointPanel v1.0                          *
  ************************************************************************
  * Copyright (C) 2007 by Michael Loesler, http//derletztekick.com       *
  *                                                                      *
  * This program is free software; you can redistribute it and/or modify *
  * it under the terms of the GNU General Public License as published by *
  * the Free Software Foundation; either version 3 of the License, or    *
  * (at your option) any later version.                                  *
  *                                                                      *
  * This program is distributed in the hope that it will be useful,      *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
  * GNU General Public License for more details.                         *
  *                                                                      *
  * You should have received a copy of the GNU General Public License    *
  * along with this program; if not, see <http://www.gnu.org/licenses/>  *
  * or write to the                                                      *
  * Free Software Foundation, Inc.,                                      *
  * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            *
  *                                                                      *
   **********************************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.io.File;
public class PasspointPanel extends JPanel {
  public KoordTrans p = null;
  private JPanel tablePanel = new JPanel();
  public JTable passPointTable = new JTable( new PPTableModel(15, true) );
  public JScrollPane jSP = new JScrollPane();
  //public JCheckBox reWeight = new JCheckBox();
  //private int tableWidth, tableHeight;

  public PasspointPanel (KoordTrans parent) {
    this.p = parent;
    GridBagLayout gbl = new GridBagLayout();
    GridBagConstraints c = new GridBagConstraints();
    c.fill = GridBagConstraints.HORIZONTAL;
    c.anchor = GridBagConstraints.CENTER;
    c.weightx = 0;
    c.weighty = 0;
    c.insets = new Insets(5,5,5,5);
    int yGrid = 0;
    this.tablePanel.setLayout( gbl );
    this.tablePanel.setBorder( BorderFactory.createTitledBorder( this.p.lc.getEntry("BorderTitle", 3) ));
    
    //TABLE

    //this.jSP.getViewport().add(this.passPointTable);
    this.jSP.setViewportView(this.passPointTable);
    c.gridx = 0;
    c.gridy = 0;
    c.gridwidth = 2;
    c.gridheight = 1;
    c.weightx = 0;

    gbl.setConstraints(this.jSP, c);
    this.tablePanel.add(this.jSP);

//    this.reWeight.setText(this.p.lc.getEntry("Labels", 10));
//    this.reWeight.setSelected(false);
//    c.gridy = 1;
//    c.gridwidth = 1;
//    gbl.setConstraints(this.reWeight, c);
//    this.tablePanel.add(this.reWeight);
    
    this.add(this.tablePanel);
  }
}

